- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QStringList Class Reference

Search for all occurrences

## Detailed Description

Examples:

  MeshDisplace/displacer.cpp.

Definition at line 66 of file qstringlist.h.

`#include <qstringlist.h>`

Inheritance diagram for QStringList:
[legend]

List of all members.

## Public Member Functions
| QStringList ()
| QStringList (const QString &i)
| QStringList (const QStringList &l)
| QStringList (const QList< QString > &l)
void | sort ()
int | removeDuplicates ()
QString | join (const QString &sep) const
QStringList | filter (const QString &str, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
QBool | contains (const QString &str, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
QStringList & | replaceInStrings (const QString &before, const QString &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QStringList | operator+ (const QStringList &other) const
QStringList & | operator<< (const QString &str)
QStringList & | operator<< (const QStringList &l)
QStringList | filter (const QRegExp &rx) const
QStringList & | replaceInStrings (const QRegExp &rx, const QString &after)
int | indexOf (const QRegExp &rx, int from=0) const
int | lastIndexOf (const QRegExp &rx, int from=-1) const
int | indexOf (QRegExp &rx, int from=0) const
int | lastIndexOf (QRegExp &rx, int from=-1) const

## Constructor & Destructor Documentation

QStringList | ( |  | ) | `[inline]`

Definition at line 69 of file qstringlist.h.

    { }

QStringList | ( | const QString & | i | ) | `[inline, explicit]`

Definition at line 70 of file qstringlist.h.

    { append(i); }

QStringList | ( | const QStringList & | l | ) | `[inline]`

Definition at line 71 of file qstringlist.h.

    : QList<QString>(l) { }

QStringList | ( | const QList< QString > & | l | ) | `[inline]`

Definition at line 72 of file qstringlist.h.

    : QList<QString>(l) { }

## Member Function Documentation

void sort | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 149 of file qstringlist.h.

    {
        QtPrivate::QStringList_sort(this);
    }

int removeDuplicates | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 154 of file qstringlist.h.

    {
        return QtPrivate::QStringList_removeDuplicates(this);
    }

QString join | ( | const QString & | sep | ) | const `[inline]`

Search for all occurrences

Definition at line 159 of file qstringlist.h.

    {
        return QtPrivate::QStringList_join(this, sep);
    }

QStringList filter | ( | const QString & | str,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 164 of file qstringlist.h.

    {
        return QtPrivate::QStringList_filter(this, str, cs);
    }

QBool contains | ( | const QString & | str,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 169 of file qstringlist.h.

    {
        return QtPrivate::QStringList_contains(this, str, cs);
    }

QStringList & replaceInStrings | ( | const QString & | before,
|  | const QString & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 174 of file qstringlist.h.

    {
        QtPrivate::QStringList_replaceInStrings(this, before, after, cs);
        return *this;
    }

QStringList operator+ | ( | const QStringList & | other | ) | const `[inline]`

Definition at line 84 of file qstringlist.h.

        { QStringList n = *this; n += other; return n; }

QStringList& operator<< | ( | const QString & | str | ) | `[inline]`

Reimplemented from QList< QString >.

Definition at line 86 of file qstringlist.h.

        { append(str); return *this; }

QStringList& operator<< | ( | const QStringList & | l | ) | `[inline]`

Definition at line 88 of file qstringlist.h.

        { *this += l; return *this; }

QStringList filter | ( | const QRegExp & | rx | ) | const `[inline]`

Search for all occurrences

Definition at line 187 of file qstringlist.h.

    {
        return QtPrivate::QStringList_filter(this, rx);
    }

QStringList & replaceInStrings | ( | const QRegExp & | rx,
|  | const QString & | after
| ) |  | `[inline]`

Search for all occurrences

Definition at line 181 of file qstringlist.h.

    {
        QtPrivate::QStringList_replaceInStrings(this, rx, after);
        return *this;
    }

int indexOf | ( | const QRegExp & | rx,
|  | int | from = `0`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 192 of file qstringlist.h.

    {
        return QtPrivate::QStringList_indexOf(this, rx, from);
    }

int lastIndexOf | ( | const QRegExp & | rx,
|  | int | from = `-1`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 197 of file qstringlist.h.

    {
        return QtPrivate::QStringList_lastIndexOf(this, rx, from);
    }

int indexOf | ( | QRegExp & | rx,
|  | int | from = `0`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 202 of file qstringlist.h.

    {
        return QtPrivate::QStringList_indexOf(this, rx, from);
    }

int lastIndexOf | ( | QRegExp & | rx,
|  | int | from = `-1`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 207 of file qstringlist.h.

    {
        return QtPrivate::QStringList_lastIndexOf(this, rx, from);
    }

The documentation for this class was generated from the following file:

- QtCore/qstringlist.h

QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList
QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList QStringList